# Uses of Class
java.util.concurrent.BrokenBarrierException

Packages that use BrokenBarrierException
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of BrokenBarrierException in java.util.concurrent

Methods in java.util.concurrent that throw BrokenBarrierException
Modifier and Type
Method
Description
`int`
CyclicBarrier.`await()`
Waits until all parties have invoked `await` on this barrier.
`int`
CyclicBarrier.`await(long timeout, TimeUnit unit)`
Waits until all parties have invoked `await` on this barrier, or the specified waiting time elapses.